Page MenuHomePhabricator

Support viewerprojects() and implement viewerpackages() in Audit ApplicationSearch
Closed, ResolvedPublic

Description

I'm trying to replace the default homepage (PhabricatorHomeMainController) with dashboards and have been unable to recreate the audit query. Specifically I want to be able to say something like "open audits in viewerprojects()"but audit does not seem to support search functions (PhabricatorProjectLogicalDatasource?) . We tend to have a lot of audits flying around so showing all audits is way to large of a list, and trying to create per team dashboards with hand crafted lists of projects is no fun.

Event Timeline

cburroughs updated the task description. (Show Details)
cburroughs added projects: Audit, Typeahead.
cburroughs added a subscriber: cburroughs.

Are you at HEAD / does this problem still exist on this install?

It looks like viewerprojects(), specifically, isn't included in these sources at HEAD.

There's also no viewerpackages() but probably should be.

Sorry I had several instances of phabricator up comparing results and must have messed up which one was which. As you pointed out viewerprojects() specifically (which really is the one I was interested in) is not available on this install.

epriestley renamed this task from support fancy typeahead functions in audit search to Support viewerprojects() and implement viewerpackages() in Audit ApplicationSearch.Sep 8 2015, 8:53 PM
cburroughs added a project: Restricted Project.Apr 20 2016, 3:52 PM
cburroughs moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Apr 20 2016, 3:58 PM
epriestley moved this task from Backlog to EditEngine on the Audit board.Jan 10 2017, 4:38 PM
epriestley closed this task as Resolved.EditedJan 12 2017, 6:46 PM
epriestley claimed this task.

I've marked D17192 as resolving this because viewer() now means "viewer, their projects, and their packages", like Differential. exact(<user>) can be used for exactly a specific user.

I assume this covers the original request and the desire was ultimately just to build dashboards, which should now be straightforward. Feel free to file a followup if there's some narrower remaining use case for viewerprojects() / viewerpackages().

Something like exactviewer() has come up in the past too, I'm not sure if there's a real use case for that or not. It's ripe for a followup if there is (there might be a task somewhere already too?).